#
# spec file for package lua-MessagePack
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define mod_name    MessagePack
%define lua_version %(lua -e 'print(_VERSION)' | cut -d ' ' -f 2)
Name:           lua51-%{mod_name}
Version:        0.3.3
Release:        3.1
Summary:        MessagePack is an efficient binary serialization format
License:        MIT
Group:          Development/Libraries/Other
Url:            http://fperrad.github.io/lua-MessagePack/
Source:         https://github.com/fperrad/lua-MessagePack/archive/%{version}.tar.gz
BuildRequires:  lua51
Requires:       lua51
BuildArch:      noarch

%description
MessagePack is an efficient binary serialization format.

It lets you exchange data among multiple languages like JSON but it's faster and
smaller.

It's a pure Lua implementation, without dependency.

And it's really fast with LuaJIT.

%prep
%setup -q -n lua-%{mod_name}-%{version}

%build
:

%install
make PREFIX=%{_prefix} DESTDIR=%{buildroot} LUAVER=%{lua_version} install

%files
%defattr(-,root,root)
%doc CHANGES COPYRIGHT README.md
%{_datadir}/lua/%{lua_version}/

%changelog
* Tue Dec  8 2015 ronisbr@gmail.com
- Add documentation to the package.
* Sat Dec  5 2015 ronisbr@gmail.com
- Fix source URL.
* Wed Dec  2 2015 ronisbr@gmail.com
- Initial version based on devel:languages:lua/lua-messagepack
